### Enumeration

# GdkAnchorHints

#### Declaration

    flags Gdk.AnchorHints

#### Description [src]

Positioning hints for aligning a surface relative to a rectangle.

These hints determine how the surface should be positioned in the case that the surface would fall off-screen if placed in its ideal position.

For example, `GDK_ANCHOR_FLIP_X` will replace `GDK_GRAVITY_NORTH_WEST` with `GDK_GRAVITY_NORTH_EAST` and vice versa if the surface extends beyond the left or right edges of the monitor.

If `GDK_ANCHOR_SLIDE_X` is set, the surface can be shifted horizontally to fit on-screen. If `GDK_ANCHOR_RESIZE_X` is set, the surface can be shrunken horizontally to fit.

In general, when multiple flags are set, flipping should take precedence over sliding, which should take precedence over resizing.

#### Members

`GDK_ANCHOR_FLIP_X`

  Allow flipping anchors horizontally.

  - Value: `1`
  - Nickname: `flip-x`
  - Available since: 4.0
`GDK_ANCHOR_FLIP_Y`

  Allow flipping anchors vertically.

  - Value: `2`
  - Nickname: `flip-y`
  - Available since: 4.0
`GDK_ANCHOR_SLIDE_X`

  Allow sliding surface horizontally.

  - Value: `4`
  - Nickname: `slide-x`
  - Available since: 4.0
`GDK_ANCHOR_SLIDE_Y`

  Allow sliding surface vertically.

  - Value: `8`
  - Nickname: `slide-y`
  - Available since: 4.0
`GDK_ANCHOR_RESIZE_X`

  Allow resizing surface horizontally.

  - Value: `16`
  - Nickname: `resize-x`
  - Available since: 4.0
`GDK_ANCHOR_RESIZE_Y`

  Allow resizing surface vertically.

  - Value: `32`
  - Nickname: `resize-y`
  - Available since: 4.0
`GDK_ANCHOR_FLIP`

  Allow flipping anchors on both axes.

  - Value: `3`
  - Nickname: `flip`
  - Available since: 4.0
`GDK_ANCHOR_SLIDE`

  Allow sliding surface on both axes.

  - Value: `12`
  - Nickname: `slide`
  - Available since: 4.0
`GDK_ANCHOR_RESIZE`

  Allow resizing surface on both axes.

  - Value: `48`
  - Nickname: `resize`
  - Available since: 4.0